<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hxhq.mapper.ContainerMapper">
    <select id="notSync" resultType="com.hxhq.domain.Container">
        SELECT c.*
        FROM container c
                 LEFT JOIN sync_log s
                           ON c.container_id = s.source_record_id
                               AND s.target_system = 'hxhq'
                               AND s.source_type = 'container'
        WHERE s.source_record_id IS NULL;
    </select>
</mapper>